img-pcx(3tk)

NAME
img-pcx - Img, Paintbrush Format (pcx)

SYNOPSIS
package require Tk

package require img::pcx ?1.4?

image create photo ?name? ?options?

DESCRIPTION
The package img::pcx is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::pcx.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the Paintbrush Format (pcx). More specifically img::pcx extends Tk's photo image type.

The name of the new format handler is pcx. This handler provides new additional configuration options. See section PCX OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in pcx format (options -data and -file) is detected automatically.

[2] The format name pcx is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section PCX OPTIONS.

SUPPORTED PCX TYPES
    1-bit pixels: Black and White.
    8-bit pixels: Grayscale or indexed.
    24-bit pixels: True-color (RGB, each channel 8 bit).
    List of currently supported features:
    Type   |     Read      |     Write     |
    | -file | -data | -file | -data |
    ----------------------------------------
    1-bit | Yes   | Yes   | No    | No    |
    8-bit | Yes   | Yes   | No    | No    |
    24-bit | Yes   | Yes   | Yes   | Yes   |
    All images types may be either uncompressed or run-length encoded.

PCX OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing.

    If set to true, additional information about the loaded/stored image is printed to stdout. Default is false.

-compression type
    This option is supported for writing only.

    Set the compression mode to either none or rle. Default is rle.

SEE ALSO
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, pcx, tk

COPYRIGHT
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>